
Core - Bug # 57053

Status: Resolved Priority: Should have
Author: Alexander Stehlik Category: Extbase
Created: 2014-03-18 Assigned To:
Updated: 2014-03-20 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Regression: Extbase query builder uses invalid parameter in parseComparison()
Description

The parseComparison() method of the query builder uses unnamed parameters (?) for building comparisons with records from foreign
/ mm tables.

The name query parameter should be used there.

Related issues:
related to Core - Task # 55167: Extbase: avoid parseQuery() / buildQuery() to... Resolved 2014-03-20 2014-03-20

Associated revisions
Revision b8edbf13 - 2014-03-20 09:07 - Alexander Stehlik

[BUGFIX] Named parameters in Extbase comparison queries

Instead of using unnamend parameters (?) in parseComparison() in the
Extbase Typo3DbQueryParser the matching parameter identifier will be
used for building the comparison SQL.

Additionally the non existing "$parameters" method parameter is removed
from a lot of method calls.

Resolves: #57053
Related: #55167
Releases: 6.2
Change-Id: I1123275af57e8803ecd792d65f91627cef54f501
Reviewed-on: https://review.typo3.org/28511
Reviewed-by: Felix Oertel
Tested-by: Felix Oertel
Reviewed-by: Wouter Wolters
Reviewed-by: Markus Klein
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2014-03-18 21:28 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/28511


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28511

#2 - 2014-03-18 21:30 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28511

#3 - 2014-03-19 09:21 - Ernesto Baschny
- Target version set to 6.2.0

#4 - 2014-03-19 19:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28511

#5 - 2014-03-19 19:13 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28511

#6 - 2014-03-19 19:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28511

#7 - 2014-03-20 09:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b8edbf13900b8f99ccc9d17c003708d53081529b.
